<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/var/www/installer/public_html/officity-source/apps/system/tools/info/system.info.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
    require_once(dirname(__FILE__).'/include.php');
    
    /* *** */

    $nql = new Officity_Shell();

    ob_start () ;
    phpinfo();
    $PHP_info = ob_get_contents();
    ob_end_clean();
    
    $PHP_info = str_replace('<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">', '', $PHP_info);
    //$PHP_info = str_replace("module_Zend Optimizer", "module_Zend_Optimizer", preg_replace( '%^.*<body>(.*)</body>.*$%ms', '$1', $PHP_info ));
    $PHP_info = str_replace('&nbsp;', '&#160;', $PHP_info);
    $nql->addStatic($PHP_info, 'info');
    $nql->execute();

    echo $nql->transform(dirname(__FILE__).'/Info.xsl');
?>